<?php

public function getCustomFields(&$config, $storyType, $hiddenPlan, $product)
{
    $customFields = array();

    /* Attach multi-branch or multi-platform field. */
    if($product->type != 'normal') $customFields[$product->type] = $this->lang->product->branchName[$product->type];

    foreach(explode(',', $config->story->list->customBatchCreateFields) as $field) $customFields[$field] = $this->lang->story->$field;

    if($hiddenPlan) unset($customFields['plan']);
    if($this->app->tab == 'project' || $this->app->tab == 'execution') unset($customFields['parent']);

    if($product->type != 'normal')
    {
        $config->{$storyType}->custom->batchCreateFields = sprintf($config->story->custom->batchCreateFields, $product->type);
    }
    else
    {
        $config->{$storyType}->custom->batchCreateFields = trim(sprintf($config->story->custom->batchCreateFields, ''), ',');
    }

    return $customFields;
}
