/**
 * 设置转化链接。
 * Set convert url.
 *
 * @param  string subIDs
 * @param  number storyIDs
 * @access public
 * @return void
 */
window.setConvertUrl = function(subIDs, storyIDs)
{
    $.ajaxSubmit({
        url: $.createLink('board', 'ajaxSetConvertUrl'),
        data: {
            objectType: 'demand',
            subIDs,
            storyIDs,
        },
        onFail: (error) => {
            if(error?.message) zui.Modal.alert({message: error?.message});
        }
    });
}
