<?php

$app->loadLang('story');
$config->board->importStory = new stdclass();
$config->board->importStory->dtable = new stdclass();
$config->board->importStory->dtable->fieldList['id']['title']    = $lang->idAB;
$config->board->importStory->dtable->fieldList['id']['type']     = 'checkID';
$config->board->importStory->dtable->fieldList['id']['sortType'] = true;
$config->board->importStory->dtable->fieldList['id']['fixed']    = 'left';
$config->board->importStory->dtable->fieldList['id']['group']    = 1;

$config->board->importStory->dtable->fieldList['title']['title']        = $lang->story->title;
$config->board->importStory->dtable->fieldList['title']['type']         = 'title';
$config->board->importStory->dtable->fieldList['title']['link']         = helper::createLink('{type}', 'view', 'storyID={id}');
$config->board->importStory->dtable->fieldList['title']['sortType']     = true;
$config->board->importStory->dtable->fieldList['title']['fixed']        = 'left';
$config->board->importStory->dtable->fieldList['title']['group']        = 2;
$config->board->importStory->dtable->fieldList['title']['data-app']     = $app->tab;
$config->board->importStory->dtable->fieldList['title']['data-toggle']  = 'modal';
$config->board->importStory->dtable->fieldList['title']['data-size']    = 'lg';
$config->board->importStory->dtable->fieldList['title']['nestedToggle'] = true;
$config->board->importStory->dtable->fieldList['title']['childLabel']   = $lang->childrenAB;
$config->board->importStory->dtable->fieldList['title']['styleMap']     = array('--color-link' => 'color');

$config->board->importStory->dtable->fieldList['type']['type']   = 'type';
$config->board->importStory->dtable->fieldList['type']['hidden'] = true;

$config->board->importStory->dtable->fieldList['pri']['title']    = $lang->board->priAB;
$config->board->importStory->dtable->fieldList['pri']['type']     = 'pri';
$config->board->importStory->dtable->fieldList['pri']['sortType'] = true;
$config->board->importStory->dtable->fieldList['pri']['fixed']    = 'left';
$config->board->importStory->dtable->fieldList['pri']['group']    = 3;

$config->board->importStory->dtable->fieldList['stage']['title']     = $lang->story->stageAB;
$config->board->importStory->dtable->fieldList['stage']['type']      = 'status';
$config->board->importStory->dtable->fieldList['stage']['statusMap'] = $lang->story->stageList;
$config->board->importStory->dtable->fieldList['stage']['sortType']  = true;
$config->board->importStory->dtable->fieldList['stage']['group']     = 4;

$config->board->importStory->dtable->fieldList['product']['title']    = $lang->story->product;
$config->board->importStory->dtable->fieldList['product']['type']     = 'text';
$config->board->importStory->dtable->fieldList['product']['link']     = helper::createLink('product', 'browse', 'productID={product}&branch={branch}');
$config->board->importStory->dtable->fieldList['product']['sortType'] = true;
$config->board->importStory->dtable->fieldList['product']['group']    = 5;

$config->board->importStory->dtable->fieldList['module']['title']    = $lang->story->module;
$config->board->importStory->dtable->fieldList['module']['type']     = 'text';
$config->board->importStory->dtable->fieldList['module']['sortType'] = true;
$config->board->importStory->dtable->fieldList['module']['group']    = 6;

$config->board->importStory->dtable->fieldList['plan']['title']    = $lang->story->plan;
$config->board->importStory->dtable->fieldList['plan']['type']     = 'text';
$config->board->importStory->dtable->fieldList['plan']['sortType'] = true;
$config->board->importStory->dtable->fieldList['plan']['group']    = 7;

$config->board->importStory->dtable->fieldList['status']['title']     = $lang->statusAB;
$config->board->importStory->dtable->fieldList['status']['name']      = 'status';
$config->board->importStory->dtable->fieldList['status']['type']      = 'status';
$config->board->importStory->dtable->fieldList['status']['statusMap'] = $lang->story->statusList;

$config->board->importStory->dtable->fieldList['openedBy']['title']    = $lang->board->createdBy;
$config->board->importStory->dtable->fieldList['openedBy']['type']     = 'user';
$config->board->importStory->dtable->fieldList['openedBy']['sortType'] = true;
$config->board->importStory->dtable->fieldList['openedBy']['group']    = 8;

$config->board->importStory->dtable->fieldList['reviewer']['title']    = $lang->story->reviewer;
$config->board->importStory->dtable->fieldList['reviewer']['width']    = '100';
$config->board->importStory->dtable->fieldList['reviewer']['type']     = 'user';
$config->board->importStory->dtable->fieldList['reviewer']['sortType'] = true;
$config->board->importStory->dtable->fieldList['reviewer']['show']     = true;
$config->board->importStory->dtable->fieldList['reviewer']['group']    = 9;

$config->board->importStory->dtable->fieldList['estimate']['title']    = $lang->story->estimateAB;
$config->board->importStory->dtable->fieldList['estimate']['type']     = 'number';
$config->board->importStory->dtable->fieldList['estimate']['sortType'] = true;
$config->board->importStory->dtable->fieldList['estimate']['group']    = 10;
$config->board->importStory->dtable->fieldList['estimate']['format']   = "{0}{$config->hourUnit}";
