<?php

$lang->board->common = 'Board';

$lang->board->createTeamBoard = 'Create Team Board';
$lang->board->editTeamBoard   = 'Edit Team Board';
$lang->board->createSpace     = 'Create Space';
$lang->board->editSpace       = 'Edit Space';
$lang->board->spaceName       = 'Space Name';
$lang->board->allSpace        = 'All Space';
$lang->board->importStory     = 'Import Story';

$lang->board->point           = ', ';
$lang->board->id              = 'ID';
$lang->board->status          = 'Status';
$lang->board->name            = 'Name';
$lang->board->createBoard     = 'Create Board';
$lang->board->closeBoard      = 'Close Board';
$lang->board->activateBoard   = 'Activate Board';
$lang->board->boardName       = 'Board Name';
$lang->board->owner           = 'Owner';
$lang->board->createdBy       = 'Creator';
$lang->board->collaborator    = 'Collaborator';
$lang->board->allUsers        = 'Load All Users';
$lang->board->affiliatedSpace = 'Affiliated Space';
$lang->board->space           = $lang->board->affiliatedSpace;
$lang->board->createdDate     = 'Created Date';
$lang->board->editedDate      = 'Edited Date';
$lang->board->players         = 'Players';
$lang->board->createOn        = 'Create on';
$lang->board->type            = 'Board Type';
$lang->board->userStoryTitle  = 'User Story Title';
$lang->board->devStoryTitle   = 'Dev Story Title';
$lang->board->priAB           = 'P';
$lang->board->stage           = 'Stage';
$lang->board->product         = 'Product';
$lang->board->module          = 'Module';
$lang->board->plan            = 'Plan';
$lang->board->reviewer        = 'Reviewer';
$lang->board->estimate        = 'Estimate';
$lang->board->story           = 'Story';
$lang->board->storyType       = 'Story Type';
$lang->board->import          = 'Import';
$lang->board->updateLayer     = 'Update import layers';
$lang->board->storyName       = 'Name';

$lang->board->storyTypeList['epic']        = $lang->ERCommon;
$lang->board->storyTypeList['requirement'] = $lang->URCommon;
$lang->board->storyTypeList['story']       = $lang->SRCommon;

$lang->board->statusList['unclosed'] = 'UnClosed';
$lang->board->statusList['closed']   = 'Closed';

$lang->board->boardType['team']    = 'Team Board';
$lang->board->boardType['project'] = 'Project Board';
$lang->board->boardType['product'] = 'Product Board';

$lang->board->acl             = 'Access Control';
$lang->board->boardOpenTip    = 'Public (Accessible if you have space permissions)';
$lang->board->boardPrivateTip = 'Private (Only creator, owner, collaborator and whitelist users can access)';
$lang->board->collaboratorTip = 'Collaborators can set member interaction mode, control templates, etc., in the board to promote better cooperation among participants.';

$lang->board->confirmDelete      = 'Are you sure you want to delete this board?';
$lang->board->confirmDeleteSpace = 'Are you sure you want to delete this board space?';
$lang->board->updatedLayer       = 'Board cards updated';

/* Common access control lang. */
$lang->board->whiteList          = 'Whitelist';
$lang->board->aclList['open']    = 'Public (Accessible if you have board view permissions)';
$lang->board->aclList['private'] = 'Private (Only creator and whitelist users can access)';
$lang->board->group              = 'Group';
$lang->board->user               = 'User';

$lang->board->error             = new stdclass();
$lang->board->error->invalidCanvasID   = 'The resource you requested is restricted or does not exist';
$lang->board->error->invalidClientID   = 'Client error, please re-enter';
$lang->board->error->invalidTemplateID = 'Template does not exist, please re-select';
$lang->board->error->templateCanvasID  = 'The board set by the template does not exist, please re-select';
$lang->board->error->noPrivSpace       = '<div><div class="input-group"><i class="icon icon-info addWhitelistTip"></i> Whitelist users<span class="addWhitelistTip">%s</span> currently do not have access permissions for the space, so they cannot access the board. If you need to adjust permissions, please maintain the access control permissions of the space.</div></div>';
$lang->board->error->closeTip          = 'Whiteboard cannot continue to create and collaborate after closing';
$lang->board->error->timerNotSet       = 'Timer not enabled';
$lang->board->error->invalidCoverPath  = 'Incorrect cover path';
$lang->board->error->noPrivViewBoard   = 'You currently do not have permission to collaborate on the board';
$lang->board->error->noSpaceData       = 'No space data';

/* Lang for privs, keys are paired with privlang items. */
$lang->board->create      = 'Create Board';
$lang->board->edit        = 'Edit Board';
$lang->board->close       = 'Close Board';
$lang->board->activate    = 'Activate Board';
$lang->board->delete      = 'Delete Board';
$lang->board->collect     = 'Collect Board';
$lang->board->lock        = 'Lock Board';
$lang->board->unlock      = 'Unlock Board';
$lang->board->creation    = 'Board Creation';
$lang->board->index       = 'Browse Board';
$lang->board->teamBoard   = 'Team Board';
$lang->board->createSpace = 'Create Space';
$lang->board->editSpace   = 'Edit Space';
$lang->board->deleteSpace = 'Delete Space';

$lang->board->featureBar['teamboard']['all']       = 'All';
$lang->board->featureBar['teamboard']['unclosed']  = 'Unclosed';
$lang->board->featureBar['teamboard']['openedBy']  = 'CreatedByMe';
$lang->board->featureBar['teamboard']['collectBy'] = 'CollectedByMe';
$lang->board->featureBar['teamboard']['closed']    = 'Closed';

$lang->board->featureBar['template']['all']              = 'All';
$lang->board->featureBar['template']['brainstorming']    = 'Brainstorming';
$lang->board->featureBar['template']['researchAnalysis'] = 'Research Analysis';
$lang->board->featureBar['template']['decisionAnalysis'] = 'Decision Analysis';
$lang->board->featureBar['template']['agilePractice']    = 'Agile Practice';

$lang->board->actions['convert']['demand']      = 'Demand';
$lang->board->actions['convert']['epic']        = $lang->ERCommon;
$lang->board->actions['convert']['requirement'] = $lang->URCommon;
$lang->board->actions['convert']['story']       = $lang->SRCommon;

$lang->board->hint = new stdClass();
$lang->board->hint->collect        = 'Collect';
$lang->board->hint->cancelCollect  = 'Cancel Collect';
$lang->board->hint->converted      = 'This note has been converted into a story.';
$lang->board->hint->convertedCroup = 'The group of notes has been converted into story.';

$lang->board->action = new stdclass();
$lang->board->action->created            = array('main' => '$date, created by <strong>$actor</strong>.');
$lang->board->action->closed             = array('main' => '$date, closed by <strong>$actor</strong>.');
$lang->board->action->edited             = array('main' => '$date, edited by <strong>$actor</strong>.');
$lang->board->action->activated          = array('main' => '$date, activated by <strong>$actor</strong>.');
$lang->board->action->collected          = array('main' => '$date, collected by <strong>$actor</strong>.');
$lang->board->action->uncollected        = array('main' => '$date, uncollected by <strong>$actor</strong>.');
$lang->board->action->importstory        = array('main' => '$date, imported ' . $lang->SRCommon. ' by <strong>$actor</strong>. $extra.');
$lang->board->action->importdemand       = array('main' => '$date, imported demand by <strong>$actor</strong>. $extra.');
$lang->board->action->importrequirement  = array('main' => '$date, imported ' . $lang->URCommon. ' by <strong>$actor</strong>. $extra.');
$lang->board->action->editedstory        = array('main' => '$date, edit the story card by <strong>$actor</strong>.');
$lang->board->action->importepic         = array('main' => '$date, imported ' . $lang->ERCommon. 'story by <strong>$actor</strong>. $extra.');
$lang->board->action->convertdemand      = array('main' => '$date, converted demand by <strong>$actor</strong>. $extra.');
$lang->board->action->convertepic        = array('main' => '$date, converted ' . $lang->ERCommon . 'by <strong>$actor</strong>. $extra.');
$lang->board->action->convertrequirement = array('main' => '$date, converted ' . $lang->URCommon . 'by <strong>$actor</strong>. $extra.');
$lang->board->action->convertstory       = array('main' => '$date, converted ' . $lang->SRCommon . 'by <strong>$actor</strong>. $extra.');

$lang->board->editor = new stdclass();
$lang->board->editor->addBlock      = 'Background';
$lang->board->editor->noteColors    = array();
$lang->board->editor->noteColors[]  = array('color' => 'transparent', 'text' => '#5E626D', 'name' => 'Transparent');
$lang->board->editor->noteColors[]  = array('color' => '#d0f6e8', 'text' => '#5E626D', 'name' => 'Light Green');
$lang->board->editor->noteColors[]  = array('color' => '#d5e5ff', 'text' => '#5E626D', 'name' => 'Light Blue');
$lang->board->editor->noteColors[]  = array('color' => '#60c2ff', 'text' => '#ffffff', 'name' => 'Blue');
$lang->board->editor->noteColors[]  = array('color' => '#3785ff', 'text' => '#ffffff', 'name' => 'Zentao Blue');
$lang->board->editor->noteColors[]  = array('color' => '#a78cf9', 'text' => '#ffffff', 'name' => 'Purple');
$lang->board->editor->noteColors[]  = array('color' => '#41c0a7', 'text' => '#ffffff', 'name' => 'Green');
$lang->board->editor->noteColors[]  = array('color' => '#ffaf65', 'text' => '#ffffff', 'name' => 'Orange');
$lang->board->editor->noteColors[]  = array('color' => '#ffecdb', 'text' => '#5E626D', 'name' => 'Light Yellow');
$lang->board->editor->noteColors[]  = array('color' => '#f9ebfc', 'text' => '#5E626D', 'name' => 'Pink');
$lang->board->editor->noteColors[]  = array('color' => '#ede9fe', 'text' => '#5E626D', 'name' => 'Light Purple');
$lang->board->editor->noteColors[]  = array('color' => '#ffffff', 'text' => '#5E626D', 'name' => 'White');
$lang->board->editor->noteColors[]  = array('color' => '#333333', 'text' => '#ffffff', 'name' => 'Black');
$lang->board->editor->readonlyMessage = 'The board is closed and has entered browse mode.';
$lang->board->editor->deleteMessage   = 'The board is deleted and has entered browse mode.';

global $app;
$wwwRoot = $app->getWebRoot();

$shape[] = array('name' => 'templet', 'title' => 'Square Block', 'image' => $wwwRoot . 'static/board/blocks/055d2715f312caff0b0eca3619572a8a.svg', 'cover' => $wwwRoot . 'static/board/blocks/511eb80c77d6e83618f083ce299c6f89.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Round Block', 'image' => $wwwRoot . 'static/board/blocks/45eb4d23b58ad8f97d43f874ba0f96db.svg', 'cover' => $wwwRoot . 'static/board/blocks/圆形封面.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Triangle Block', 'image' => $wwwRoot . 'static/board/blocks/5ec07ee978f1793c15e06bf1657a9264.svg', 'cover' => $wwwRoot . 'static/board/blocks/37c0952266c59999dfba92c6f76db985.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Gray Large Block', 'image' => $wwwRoot . 'static/board/blocks/2c795cb56337fd82573808919726968d.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-大区块-灰.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'White Large Block', 'image' => $wwwRoot . 'static/board/blocks/2dcc70ae91e676e59d4b5c149b444a71.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-大区块-白.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Area-Gray', 'image' => $wwwRoot . 'static/board/blocks/00e07bf925e397def3cd60094d5b2128.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-灰.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Area-Red', 'image' => $wwwRoot . 'static/board/blocks/a1dbc005258282a86f7300e6ee623863.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-红.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Area-Blue', 'image' => $wwwRoot . 'static/board/blocks/f8ce41932704f136d23e3d2f20770bc9.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-蓝.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Area-Orange', 'image' => $wwwRoot . 'static/board/blocks/c6118c3134676ab4c9b5b26be1629d23.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-区域-橙.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Range-Red', 'image' => $wwwRoot . 'static/board/blocks/c983519bc54ebf9eb27244e7b8fbfc37.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-范围-红.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Range-Blue', 'image' => $wwwRoot . 'static/board/blocks/886a1ec5a041cfba63c391528de7dbb4.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-范围-蓝.svg','type' => 'block_template_shape');
$shape[] = array('name' => 'templet', 'title' => 'Range-Orange', 'image' => $wwwRoot . 'static/board/blocks/f103b6ff888b237133106e27792c66bb.svg', 'cover' => $wwwRoot . 'static/board/blocks/封面-范围-橙.svg','type' => 'block_template_shape');

$combination[] = array('name' => 'templet', 'title' => 'Simple Collage', 'image' => $wwwRoot . 'static/board/blocks/3b0ce7c548e3a3d62cfe117db0a46e24.svg', 'cover' => $wwwRoot . 'static/board/blocks/a1b0ae0f817d767ab9e496299b20e164.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => 'Center Quadrant', 'image' => $wwwRoot . 'static/board/blocks/8561844227c24b81ecfef528881a8791.svg', 'cover' => $wwwRoot . 'static/board/blocks/ba2575fe10189118027d4eff49c52903.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => 'Coordinate Quadrant', 'image' => $wwwRoot . 'static/board/blocks/0b2f84a50ae44b4ba875823482d072fa.svg', 'cover' => $wwwRoot . 'static/board/blocks/fd9981dd38552285cb110c99b1ca3952.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => 'Pyramid', 'image' => $wwwRoot . 'static/board/blocks/6d8e31ccc134b7fd4fc604290dc13eb3.svg', 'cover' => $wwwRoot . 'static/board/blocks/08602965a6cd453b3c7bd522a9917b86.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => 'Funnel', 'image' => $wwwRoot . 'static/board/blocks/dac8262f28d738626579965d8d1a296a.svg', 'cover' => $wwwRoot . 'static/board/blocks/49017be6dcde826346a88b3030c408d7.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => 'Concentric Circles', 'image' => $wwwRoot . 'static/board/blocks/25401c1ad14ebd71e2d237a6221dde8c.svg', 'cover' => $wwwRoot . 'static/board/blocks/5cd6d77d396f6b928112ba3ea1d19208.svg','type' => 'block_template_combination');
$combination[] = array('name' => 'templet', 'title' => 'Venn Diagram', 'image' => $wwwRoot . 'static/board/blocks/d16ae0b695f0b55477bb28fa1d96631f.svg', 'cover' => $wwwRoot . 'static/board/blocks/f48cb42e48509f9321dfe492a179053b.svg','type' => 'block_template_combination');

$sticker[] = array('name' => 'templet', 'title' => 'Depart', 'image' => $wwwRoot . 'static/board/blocks/1-出发.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm1-出发.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'To Do', 'image' => $wwwRoot . 'static/board/blocks/2-To Do.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm2-To Do.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'Anchor', 'image' => $wwwRoot . 'static/board/blocks/3-锚定.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm3-锚定.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'Explore', 'image' => $wwwRoot . 'static/board/blocks/4-探究.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm4-探究.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'Storm', 'image' => $wwwRoot . 'static/board/blocks/5-风暴.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm5-风暴.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'Discuss', 'image' => $wwwRoot . 'static/board/blocks/6-讨论.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm6-讨论.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'Confront', 'image' => $wwwRoot . 'static/board/blocks/7-对抗.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm7-对抗.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'Focus', 'image' => $wwwRoot . 'static/board/blocks/8-关注.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm8-关注.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'Notify', 'image' => $wwwRoot . 'static/board/blocks/9-通知.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm9-通知.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'Honor', 'image' => $wwwRoot . 'static/board/blocks/10-荣誉.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm10-荣誉.png','type' => 'block_template_sticker');
$sticker[] = array('name' => 'templet', 'title' => 'Shine', 'image' => $wwwRoot . 'static/board/blocks/f11-闪亮.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm11-闪亮.png','type' => 'block_template_sticker');

$schedule[] = array('name' => 'templet', 'title' => 'Weekly calendar', 'image' => $wwwRoot . 'static/board/blocks/积木_周历.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm1-周历.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-01', 'image' => $wwwRoot . 'static/board/blocks/35061a6cc4df8cd1ec15dac3f3aea912.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm4-2024 1月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-02', 'image' => $wwwRoot . 'static/board/blocks/d473c78f4b7cdb336a50a8b1f257b933.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm5-2024 2月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-03', 'image' => $wwwRoot . 'static/board/blocks/1e2f225a34bc2d529e931bff6cf8aea5.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm6-2024 3月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-04', 'image' => $wwwRoot . 'static/board/blocks/c1290c6d0eb5e8ff32ee6b428e8bd48a.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm7-2024 4月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-05', 'image' => $wwwRoot . 'static/board/blocks/f069437d9280a647bd66a4b1dfc220cf.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm8-2024 5月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-06', 'image' => $wwwRoot . 'static/board/blocks/00d20f957f42bf822e4d0d3b6db4f7a6.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm9-2024 6月.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-07', 'image' => $wwwRoot . 'static/board/blocks/2024-7.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-7.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-08', 'image' => $wwwRoot . 'static/board/blocks/2024-8.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-8.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-09', 'image' => $wwwRoot . 'static/board/blocks/2024-9.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-9.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-10', 'image' => $wwwRoot . 'static/board/blocks/2024-10.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-10.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-11', 'image' => $wwwRoot . 'static/board/blocks/2024-11.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-11.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2024-12', 'image' => $wwwRoot . 'static/board/blocks/2024-12.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2024-12.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-01', 'image' => $wwwRoot . 'static/board/blocks/2025-1.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-1.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-02', 'image' => $wwwRoot . 'static/board/blocks/2025-2.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-2.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-03', 'image' => $wwwRoot . 'static/board/blocks/2025-3.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-3.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-04', 'image' => $wwwRoot . 'static/board/blocks/2025-4.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-4.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-05', 'image' => $wwwRoot . 'static/board/blocks/2025-5.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-5.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-06', 'image' => $wwwRoot . 'static/board/blocks/2025-6.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-6.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-07', 'image' => $wwwRoot . 'static/board/blocks/2025-7.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-7.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-08', 'image' => $wwwRoot . 'static/board/blocks/2025-8.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-8.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-09', 'image' => $wwwRoot . 'static/board/blocks/2025-9.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-9.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-10', 'image' => $wwwRoot . 'static/board/blocks/2025-10.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-10.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-11', 'image' => $wwwRoot . 'static/board/blocks/2025-11.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-11.svg','type' => 'block_time_schedule');
$schedule[] = array('name' => 'templet', 'title' => '2025-12', 'image' => $wwwRoot . 'static/board/blocks/2025-12.svg', 'cover' => $wwwRoot . 'static/board/blocks/fm-2025-12.svg','type' => 'block_time_schedule');

$lang->board->blocksMap['block_template_shape']       = 'Basic Block';
$lang->board->blocksMap['block_template_combination'] = 'Combined Block';
$lang->board->blocksMap['block_template_sticker']     = 'Atmosphere Sticker';
$lang->board->blocksMap['block_time_schedule']        = 'Time Schedule';

$lang->board->blocks['titleKeys'] = array_keys($lang->board->blocksMap);
$lang->board->blocks['titles']    = array_values($lang->board->blocksMap);
$lang->board->blocks['blocks']['block_template_shape']       = $shape;
$lang->board->blocks['blocks']['block_template_combination'] = $combination;
$lang->board->blocks['blocks']['block_template_sticker']     = $sticker;
$lang->board->blocks['blocks']['block_time_schedule']        = $schedule;
