<?php
/**
 * The close view file of board module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Fei Lu<lufei@easycorp.ltd>
 * @package     board
 * @link        https://www.zentao.net
 */
namespace zin;

modalHeader(set::titleClass('text-lg font-bold'));
formPanel
(
    set::submitBtnText($lang->close),
    formGroup
    (
        set::label($lang->comment),
        set::control('editor'),
        set::name('comment'),
        div
        (
            setClass('p-1'),
            icon('info', setClass('pr-1 text-warning')),
            span(setClass('text-gray'), $lang->board->error->closeTip)
        )
    )
);
hr();
history();

render();
